Set the Java runtime for the IDE development instances

Completed

I'm working on a plugin for Rider. When I launch an IDE development instance from IntelliJ IDEA, the runtime used is the one from Oracle and I've got this bug that is really annoying.

In the Welcome window of Rider, in the Events menu, one option is showing. It allows me to switch to the bundled Java runtime, but when I click on this, the IDE restarts but stay on the Oracle Java Runtime.

Where can I change the runtime used for the IDE development instance?

3 comments

Finally, I've downloaded the JDK 1.8.0_191 from Oracle, installed it and found a way to make my plugin use it in IntelliJ (don't ask me how). It works now.

0

Maxence DELANNOY Please let me know if you'd like me to invite you to a slack channel where plugin writers can directly ask Rider/R#/IJ developers about APIs and plugin development for Rider in general.

0

Yes, I am interested. I'm switching to Rider but I have to migrate my internal Visual Studio plugin.

0

Please sign in to leave a comment.